Results 1 to 4 of 4

Thread: 'Layer Manager' column order

  1. #1
    Wish List Administration
    Join Date
    2011-08
    Posts
    4,581

    Default 'Layer Manager' column order

    Summary: The 'Layer Manager' needs a 'persistent' option for user defined column order.

    Description: I don't care for the column order in the 'Layer Manager' dialog box, and I've rearranged it to make sense to me; but AutoCAD doesn't allow the column layout to be persistent from drawing to drawing and session to session.

    How about a setting to allow the user to rearrange the column layout once and not have to do it over and over and over again, or just say the hell with it as I do.

    Product and Feature: AutoCAD - Layer

    Submitted By: Matthew Nicholas on 11/16/2014


  2. #2
    Certified AUGI Addict jaberwok's Avatar
    Join Date
    2000-12
    Location
    0,0,0 The Origin
    Posts
    8,570

    Default Re: 'Layer Manager' column order

    Remembering filter settings would be good, too.

    [I put each xref on a separate layer and use the inverted xref filter - which never sticks]

  3. #3
    Certifiable AUGI Addict
    Join Date
    2001-03
    Location
    Tallahassee, FL USA
    Posts
    3,658

    Default Re: 'Layer Manager' column order

    Quote Originally Posted by jaberwok View Post
    Remembering filter settings would be good, too.

    [I put each xref on a separate layer and use the inverted xref filter - which never sticks]
    I added a Filter Drop-down to my custom Layers panel with the AutoCAD commands LayerSaveFilterTree and LayerLoadFilterTree as well as a lisp macro that loads a custom set of xref filters.
    Code:
     ; (load "LayFilterAdd.lsp")
    ; ^C^C^P(or LayFilterAdd (load "LayFilterAdd.lsp"));(LayFilterAdd)
    ; Save, close and reopen the DWT or DWG for the Filters to be put into alphabetical order.
    (defun LayFilterAdd (/ collection names)
      (setq names (list ""))
      (if (not (vl-catch-all-error-p (setq collection (vl-catch-all-apply
        (function (lambda () (vla-item (vla-getextensiondictionary (vla-get-layers (vla-get-activedocument (vlax-get-acad-object)))) "ACAD_LAYERFILTERS")))
      ))))
    ;  (vlax-for item collection (setq names (cons (strcase (vla-get-name item)) names))))
      (vlax-for item collection (setq names (cons (vla-get-name item) names))))
      names
      (or(member "NODE" names)(command "._-layer" "filter" "new" "property" "All" "NAME==\"*-NODE*\"" "NODE" "X" nil))
      (or(member "Sections" names)(command "._-layer" "filter" "new" "property" "All" "NAME==\"C-ROAD-SEC*\"" "Sections" "X" nil))
      (or(member "Profile" names)(command "._-layer" "filter" "new" "property" "All" "NAME==\"C-ROAD-PROF*\"" "Profile" "X" nil))
      (or(member "Topo" names)(command "._-layer" "filter" "new" "property" "All" "NAME==\"C-TOPO*\"" "Topo" "X" nil))
      (or(member "CALC Points" names)(command "._-layer" "filter" "new" "property" "All" "NAME==\"V-NODE-CALC\"" "CALC Points" "X" nil))
      (or(member "Only xrefs" names)(command "._-layer" "filter" "new" "property" "All" "NAME==\"*|*\"" "Only xrefs" "X" nil))
      (or(member "No xrefs" names)(command "._-layer" "filter" "new" "property" "All" "NAME==\"~*|*\"" "No xrefs" "X" nil))
      (or(member "Linetype" names)(command "._-layer" "filter" "new" "property" "All" "LINETYPE==\"~Continuous\"" "Linetype" "X" nil))
    ;  (or(member "No NCS" names)(command "._-layer" "filter" "new" "property" "All" "NAME==\"~@-*\"" "No NCS" "X" nil))
      (or(member "No NCS" names)(command "._-layer" "filter" "new" "property" "All" "NAME==\"~[A,C,E,L,V]-*\"" "No NCS" "X" nil))
      (princ "Layer Filter Names » ")(princ names)
      (princ "\nSave, close and reopen the DWT or DWG for the Filters to be put into alphabetical order.")
      (princ)
    ); function
    (LayFilterAdd)
    The added filters are mine, but I cannot recall where I found the original code.
    HTH,

  4. #4
    Administrator rkmcswain's Avatar
    Join Date
    2004-09
    Location
    Earth
    Posts
    9,803

    Default Re: 'Layer Manager' column order

    Quote Originally Posted by jaberwok View Post
    Remembering filter settings would be good, too.
    Manually entered filters (upper right corner) are persistent between opening and closing of the layer palette (note that this does not apply to the classiclayer dialog)
    R.K. McSwain | CAD Panacea |

Similar Threads

  1. Retain Column Widths in Style Manager When Editing Layer Key Styles
    By Wish List System in forum ACA Wish List
    Replies: 0
    Last Post: 2013-12-05, 07:27 PM
  2. Sheet Set Manager Order
    By CadDog in forum AutoCAD Sheet Set Manager
    Replies: 6
    Last Post: 2013-04-10, 07:19 PM
  3. 2011: Layer Manager Column Freeze
    By cadtag in forum AutoCAD General
    Replies: 2
    Last Post: 2012-05-02, 12:32 PM
  4. Replies: 11
    Last Post: 2009-02-27, 04:25 PM
  5. Replies: 2
    Last Post: 2007-01-09, 06:39 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •